<definitions name="XDWValidatorWSService" targetNamespace="urn:ihe:iti:2011:xdw" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="urn:ihe:iti:2011:xdw" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
 <types>
  <xs:schema targetNamespace="urn:ihe:iti:2011:xdw" version="1.0" xmlns:tns="urn:ihe:iti:2011:xdw" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:element name="DetailedResult" nillable="true" type="xs:string"/>
   <xs:element name="SOAPException" type="tns:SOAPException"/>
   <xs:element name="base64ObjectToValidate" nillable="true" type="xs:string"/>
   <xs:element name="validateXDW" nillable="true" type="xs:string"/>
   <xs:complexType name="SOAPException">
    <xs:sequence>
     <xs:element minOccurs="0" name="message" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
  </xs:schema>
 </types>
 <message name="Validator_PortType_validateXDWB64">
  <part element="tns:base64ObjectToValidate" name="base64ObjectToValidate"/>
 </message>
 <message name="Validator_PortType_validateXDW">
  <part element="tns:validateXDW" name="Body"/>
 </message>
 <message name="Validator_PortType_validateXDWB64Response">
  <part element="tns:DetailedResult" name="DetailedResult"/>
 </message>
 <message name="SOAPException">
  <part element="tns:SOAPException" name="SOAPException"/>
 </message>
 <message name="Validator_PortType_validateXDWResponse">
  <part element="tns:DetailedResult" name="DetailedResult"/>
 </message>
 <portType name="Validator_PortType">
  <operation name="validateXDW" parameterOrder="Body">
   <input message="tns:Validator_PortType_validateXDW"/>
   <output message="tns:Validator_PortType_validateXDWResponse"/>
   <fault message="tns:SOAPException" name="SOAPException"/>
  </operation>
  <operation name="validateXDWB64" parameterOrder="base64ObjectToValidate">
   <input message="tns:Validator_PortType_validateXDWB64"/>
   <output message="tns:Validator_PortType_validateXDWB64Response"/>
   <fault message="tns:SOAPException" name="SOAPException"/>
  </operation>
 </portType>
 <binding name="Validator_PortTypeBinding" type="tns:Validator_PortType">
  <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
  <operation name="validateXDW">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="SOAPException">
    <soap:fault name="SOAPException" use="literal"/>
   </fault>
  </operation>
  <operation name="validateXDWB64">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="SOAPException">
    <soap:fault name="SOAPException" use="literal"/>
   </fault>
  </operation>
 </binding>
 <service name="XDWValidatorWSService">
  <port binding="tns:Validator_PortTypeBinding" name="Validator_PortTypePort">
   <soap:address location="http://131.254.209.20:8080/XDWSimulator-XDWSimulator-ejb-0.0.1/XDWValidatorWS"/>
  </port>
 </service>
</definitions>